curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/golinks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"displayName": "<string>",
"prerequisite": {
"appEntitlementId": "<string>",
"appId": "<string>"
},
"routes": [
{
"isCanonical": true,
"routeTemplate": "<string>"
}
],
"target": {
"action": {
"actionId": "<string>"
},
"chooser": {
"options": [
{
"description": "<string>",
"label": "<string>",
"target": null
}
]
},
"redirect": {
"urlTemplate": "<string>"
}
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/golinks"
payload = {
"description": "<string>",
"displayName": "<string>",
"prerequisite": {
"appEntitlementId": "<string>",
"appId": "<string>"
},
"routes": [
{
"isCanonical": True,
"routeTemplate": "<string>"
}
],
"target": {
"action": { "actionId": "<string>" },
"chooser": { "options": [
{
"description": "<string>",
"label": "<string>",
"target": None
}
] },
"redirect": { "urlTemplate": "<string>" }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
displayName: '<string>',
prerequisite: {appEntitlementId: '<string>', appId: '<string>'},
routes: [{isCanonical: true, routeTemplate: '<string>'}],
target: {
action: {actionId: '<string>'},
chooser: {options: [{description: '<string>', label: '<string>', target: null}]},
redirect: {urlTemplate: '<string>'}
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/golinks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"golink": {
"createdAt": "2023-11-07T05:31:56Z",
"currentVersion": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"prerequisite": {
"appEntitlementId": "<string>",
"appId": "<string>"
},
"routes": [
{
"isCanonical": true,
"routeTemplate": "<string>"
}
],
"status": "GO_LINK_STATUS_UNSPECIFIED",
"target": {
"action": {
"actionId": "<string>"
},
"chooser": {
"options": [
{
"description": "<string>",
"label": "<string>",
"target": null
}
]
},
"redirect": {
"urlTemplate": "<string>"
}
},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Create
Create a new GoLink.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The GoLinkServiceCreateRequest message.
The description field.
The displayName field.
The GoLinkPrerequisite message.
Show child attributes
Show child attributes
The routes field.
Show child attributes
Show child attributes
The GoLinkTarget message.
This message contains a oneof named target. Only a single field of the following list may be set at a time:
- redirect
- action
- chooser
Show child attributes
Show child attributes
Response
Successful response
The GoLinkServiceCreateResponse message.
GoLink is the API representation of a go-link.
Show child attributes
Show child attributes
Was this page helpful?